<?php
namespace Bushelpowered\Api\Aggregator\Config\V1\Request;
        
class GetAllStaffUsersRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var null|string $name The name of the staff user to search for*/
    public ?string $name = null;
    /** @var null|\Bushelpowered\Api\Aggregator\Config\V1\Request\StaffUsersPagination $pagination */
    public ?\Bushelpowered\Api\Aggregator\Config\V1\Request\StaffUsersPagination $pagination = null;

    /**
     * @param  null|string  $name The name of the staff user to search for
     * @param  null|\Bushelpowered\Api\Aggregator\Config\V1\Request\StaffUsersPagination  $pagination 
     */
    public function __construct(?string $name, ?\Bushelpowered\Api\Aggregator\Config\V1\Request\StaffUsersPagination $pagination)
    {
        $this->name = $name;
        $this->pagination = $pagination;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Aggregator\Config\V1\Request\StaffUsersPagination 
     */
    public function getPagination(): ?\Bushelpowered\Api\Aggregator\Config\V1\Request\StaffUsersPagination
    {
        return $this->pagination;
    }
}