<?php
namespace Bushelpowered\Api\Aggregator\Crm\V1\Response;
        
class AssignedCustomerResponse 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var string $name The name of the customer, editable*/
    public string $name;
    /** @var string[] $accountIds The ERP Account ids associated with the customer*/
    public array $accountIds;
    /** @var string[] $phones The phone numbers associated with the customer's identifiers*/
    public array $phones;
    /** @var null|string $lastActivityBy Last activity by user name for the customer*/
    public ?string $lastActivityBy = null;
    /** @var null|string $lastActivityAt Last activity date-time for the customer of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $lastActivityAt = null;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  string  $name The name of the customer, editable
     * @param  string[]  $accountIds The ERP Account ids associated with the customer
     * @param  string[]  $phones The phone numbers associated with the customer's identifiers
     * @param  null|string  $lastActivityBy Last activity by user name for the customer
     * @param  null|string  $lastActivityAt Last activity date-time for the customer of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $name, array $accountIds, array $phones, ?string $lastActivityBy, ?string $lastActivityAt)
    {
        $this->id = $id;
        $this->name = $name;
        $this->accountIds = $accountIds;
        $this->phones = $phones;
        $this->lastActivityBy = $lastActivityBy;
        $this->lastActivityAt = $lastActivityAt;
    }
    

}