<?php
namespace Bushelpowered\Api\Aggregator\Quoting\V1\Request;
        
class UpsertLineItemRequestRequest 
{
    /** @var null|string $id The id of the record to update, will be created if null*/
    public ?string $id = null;
    /** @var \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category */
    public \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category;
    /** @var null|string $productId The UUID of the product being requested*/
    public ?string $productId = null;
    /** @var string $productName The name of the product being requested*/
    public string $productName;
    /** @var null|int $quantity The quantity of the product desired*/
    public ?int $quantity = null;
    /** @var string $comments */
    public string $comments;

    /**
     * @param  null|string  $id The id of the record to update, will be created if null
     * @param  \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory  $category 
     * @param  null|string  $productId The UUID of the product being requested
     * @param  string  $productName The name of the product being requested
     * @param  null|int  $quantity The quantity of the product desired
     * @param  string  $comments 
     */
    public function __construct(?string $id, \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category, ?string $productId, string $productName, ?int $quantity, string $comments)
    {
        $this->id = $id;
        $this->category = $category;
        $this->productId = $productId;
        $this->productName = $productName;
        $this->quantity = $quantity;
        $this->comments = $comments;
    }
    

}