<?php
namespace Bushelpowered\Api\Aggregator\Quoting\V1\Response;
        
class FileImportDetailResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var string $createdBy The name of the user that created FileImport*/
    public string $createdBy;
    /** @var string $name Name of the file as it was stored on the computer that uploaded it*/
    public string $name;
    /** @var null|int $numberOfProducts Number of products that were processed successfully*/
    public ?int $numberOfProducts = null;
    /** @var string $processingMessage Brief message on how the processing of the file went*/
    public string $processingMessage;
    /** @var \Bushelpowered\Api\Quoting\V1\Enums\ProcessingResultStatus $status */
    public \Bushelpowered\Api\Quoting\V1\Enums\ProcessingResultStatus $status;
    /** @var string $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  string  $createdBy The name of the user that created FileImport
     * @param  string  $name Name of the file as it was stored on the computer that uploaded it
     * @param  null|int  $numberOfProducts Number of products that were processed successfully
     * @param  string  $processingMessage Brief message on how the processing of the file went
     * @param  \Bushelpowered\Api\Quoting\V1\Enums\ProcessingResultStatus  $status 
     * @param  string  $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $createdBy, string $name, ?int $numberOfProducts, string $processingMessage, \Bushelpowered\Api\Quoting\V1\Enums\ProcessingResultStatus $status, string $createdAt)
    {
        $this->id = $id;
        $this->createdBy = $createdBy;
        $this->name = $name;
        $this->numberOfProducts = $numberOfProducts;
        $this->processingMessage = $processingMessage;
        $this->status = $status;
        $this->createdAt = $createdAt;
    }
    
    /**
     * @return string Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
}