<?php
namespace Bushelpowered\Api\Aggregator\Quoting\V1\Response;
        
class LineItemRequestResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category */
    public \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category;
    /** @var null|string $productId The UUID of the product being requested*/
    public ?string $productId = null;
    /** @var string $productName The name of the product being requested*/
    public string $productName;
    /** @var null|int $quantity The quantity of the product desired*/
    public ?int $quantity = null;
    /** @var string $comments */
    public string $comments;
    /** @var string $createdBy */
    public string $createdBy;
    /** @var string $updatedBy */
    public string $updatedBy;
    /** @var string $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory  $category 
     * @param  null|string  $productId The UUID of the product being requested
     * @param  string  $productName The name of the product being requested
     * @param  null|int  $quantity The quantity of the product desired
     * @param  string  $comments 
     * @param  string  $createdBy 
     * @param  string  $updatedBy 
     * @param  string  $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, \Bushelpowered\Api\Quoting\V1\Enums\ProductCategory $category, ?string $productId, string $productName, ?int $quantity, string $comments, string $createdBy, string $updatedBy, string $createdAt, string $updatedAt)
    {
        $this->id = $id;
        $this->category = $category;
        $this->productId = $productId;
        $this->productName = $productName;
        $this->quantity = $quantity;
        $this->comments = $comments;
        $this->createdBy = $createdBy;
        $this->updatedBy = $updatedBy;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    /**
     * @return string Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
}