<?php
namespace Bushelpowered\Api\Businesspages\V1;
        
class GetBusinessLocationsMetadata
{
    public function __construct(
        public ?string $requiredAuthorization,
				public ?string $requiredTenant,
				public ?string $optionalOnBehalfOf,
				public ?string $optionalOnBehalfOfAuthorization,
        public ?array $extraOptionalMetadata = null,
    ) {}
    
    public function getMetadata() {
        $array = [];
        
        
        if ($this->requiredAuthorization) {
            $array['Authorization'] = $this->requiredAuthorization;
        }
    
        if ($this->requiredTenant) {
            $array['X-Bushel-Tenant'] = $this->requiredTenant;
        }
    
        if ($this->optionalOnBehalfOf) {
            $array['On-Behalf-Of'] = $this->optionalOnBehalfOf;
        }
    
        if ($this->optionalOnBehalfOfAuthorization) {
            $array['On-Behalf-Of-Authorization'] = $this->optionalOnBehalfOfAuthorization;
        }
    
        
        return $this->extraOptionalMetadata ? array_merge($array, $this->extraOptionalMetadata) : $array;
    }
}