<?php
namespace Bushelpowered\Api\Businesspages\V1\Model;
        
class CustomPageListItem 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var string $title The name of the Custom Page. Serves as a page title and a navigation label*/
    public string $title;
    /** @var bool $isPublic An indicator of the Custom Page's public availability.*/
    public bool $isPublic;
    /** @var null|string $publishedAt The date and time the Custom Page was published. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $publishedAt = null;
    /** @var string $updatedAt The date and time the Custom Page was updated. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  string  $title The name of the Custom Page. Serves as a page title and a navigation label
     * @param  bool  $isPublic An indicator of the Custom Page's public availability.
     * @param  null|string  $publishedAt The date and time the Custom Page was published. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt The date and time the Custom Page was updated. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $title, bool $isPublic, ?string $publishedAt, string $updatedAt)
    {
        $this->id = $id;
        $this->title = $title;
        $this->isPublic = $isPublic;
        $this->publishedAt = $publishedAt;
        $this->updatedAt = $updatedAt;
    }
    

}