<?php
namespace Bushelpowered\Api\Fulfillment\Contract\V1\Response;
        
class PricingLineResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    /** @var int $id The id of the pricing line*/
    public int $id;
    /** @var string $remoteId The id of pricing line in the remote system*/
    public string $remoteId;
    /** @var null|string $displayId The display id of pricing line*/
    public ?string $displayId = null;
    /** @var null|int $sequenceNumber The sequence number of pricing line*/
    public ?int $sequenceNumber = null;
    /** @var null|string $deliveryPeriodStart  of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $deliveryPeriodStart = null;
    /** @var null|string $deliveryPeriodEnd  of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $deliveryPeriodEnd = null;
    /** @var \Bushelpowered\Api\Fulfillment\Common\V1\Response\LocationResponse $location */
    public \Bushelpowered\Api\Fulfillment\Common\V1\Response\LocationResponse $location;
    /** @var null|float $quantityPriced */
    public ?float $quantityPriced = null;
    /** @var null|string $quantityUom */
    public ?string $quantityUom = null;
    /** @var null|float $futuresPrice */
    public ?float $futuresPrice = null;
    /** @var null|float $basis */
    public ?float $basis = null;
    /** @var null|float $cashPrice */
    public ?float $cashPrice = null;
    /** @var null|string $futuresMonth */
    public ?string $futuresMonth = null;
    /** @var null|string $pricingStatus */
    public ?string $pricingStatus = null;
    /** @var null|string $signatureStatus */
    public ?string $signatureStatus = null;
    /** @var null|string $remoteCreatedAt  of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $remoteCreatedAt = null;
    /** @var null|string $remoteUpdatedAt  of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $remoteUpdatedAt = null;
    /** @var string $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  int  $id The id of the pricing line
     * @param  string  $remoteId The id of pricing line in the remote system
     * @param  null|string  $displayId The display id of pricing line
     * @param  null|int  $sequenceNumber The sequence number of pricing line
     * @param  null|string  $deliveryPeriodStart  of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $deliveryPeriodEnd  of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  \Bushelpowered\Api\Fulfillment\Common\V1\Response\LocationResponse  $location 
     * @param  null|float  $quantityPriced 
     * @param  null|string  $quantityUom 
     * @param  null|float  $futuresPrice 
     * @param  null|float  $basis 
     * @param  null|float  $cashPrice 
     * @param  null|string  $futuresMonth 
     * @param  null|string  $pricingStatus 
     * @param  null|string  $signatureStatus 
     * @param  null|string  $remoteCreatedAt  of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $remoteUpdatedAt  of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(int $id, string $remoteId, ?string $displayId, ?int $sequenceNumber, ?string $deliveryPeriodStart, ?string $deliveryPeriodEnd, \Bushelpowered\Api\Fulfillment\Common\V1\Response\LocationResponse $location, ?float $quantityPriced, ?string $quantityUom, ?float $futuresPrice, ?float $basis, ?float $cashPrice, ?string $futuresMonth, ?string $pricingStatus, ?string $signatureStatus, ?string $remoteCreatedAt, ?string $remoteUpdatedAt, string $createdAt, string $updatedAt)
    {
        $this->id = $id;
        $this->remoteId = $remoteId;
        $this->displayId = $displayId;
        $this->sequenceNumber = $sequenceNumber;
        $this->deliveryPeriodStart = $deliveryPeriodStart;
        $this->deliveryPeriodEnd = $deliveryPeriodEnd;
        $this->location = $location;
        $this->quantityPriced = $quantityPriced;
        $this->quantityUom = $quantityUom;
        $this->futuresPrice = $futuresPrice;
        $this->basis = $basis;
        $this->cashPrice = $cashPrice;
        $this->futuresMonth = $futuresMonth;
        $this->pricingStatus = $pricingStatus;
        $this->signatureStatus = $signatureStatus;
        $this->remoteCreatedAt = $remoteCreatedAt;
        $this->remoteUpdatedAt = $remoteUpdatedAt;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    /**
     * @return string Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
}