<?php
namespace Bushelpowered\Api\Fulfillment\Recipient\V1\Request;
        
class CreateRecipientRequest 
{
    /** @var string $name The name of the recipient*/
    public string $name;
    /** @var string $email The email address to send to*/
    public string $email;
    /** @var string $phoneNumber The phone number to send to*/
    public string $phoneNumber;
    /** @var bool $enableEmail Whether or not the notification will be sent via email*/
    public bool $enableEmail;
    /** @var bool $enablePhoneNumber Whether or not the notification will be sent via phone number*/
    public bool $enablePhoneNumber;

    /**
     * @param  string  $name The name of the recipient
     * @param  string  $email The email address to send to
     * @param  string  $phoneNumber The phone number to send to
     * @param  bool  $enableEmail Whether or not the notification will be sent via email
     * @param  bool  $enablePhoneNumber Whether or not the notification will be sent via phone number
     */
    public function __construct(string $name, string $email, string $phoneNumber, bool $enableEmail, bool $enablePhoneNumber)
    {
        $this->name = $name;
        $this->email = $email;
        $this->phoneNumber = $phoneNumber;
        $this->enableEmail = $enableEmail;
        $this->enablePhoneNumber = $enablePhoneNumber;
    }
    

}