<?php
namespace Bushelpowered\Api\Fulfillment\Threshold\V1\Request;
        
class CreateThresholdRequest 
{
    /** @var string $commodityCode The commodity code that this threshold is related to, see CommodityResponse.code.*/
    public string $commodityCode;
    /** @var string $locationId The location id that this threshold is related to, see LocationResponse.id.*/
    public string $locationId;
    /** @var string $remarkCode The Remark Code that we want to check for.*/
    public string $remarkCode;
    /** @var null|float $minValue The lower value in the range we want to check for.*/
    public ?float $minValue = null;
    /** @var null|float $maxValue The higher value in the range we want to check for.*/
    public ?float $maxValue = null;
    /** @var string[] $recipientIds A list of recipient ids to attach to this threshold*/
    public array $recipientIds;

    /**
     * @param  string  $commodityCode The commodity code that this threshold is related to, see CommodityResponse.code.
     * @param  string  $locationId The location id that this threshold is related to, see LocationResponse.id.
     * @param  string  $remarkCode The Remark Code that we want to check for.
     * @param  null|float  $minValue The lower value in the range we want to check for.
     * @param  null|float  $maxValue The higher value in the range we want to check for.
     * @param  string[]  $recipientIds A list of recipient ids to attach to this threshold
     */
    public function __construct(string $commodityCode, string $locationId, string $remarkCode, ?float $minValue, ?float $maxValue, array $recipientIds)
    {
        $this->commodityCode = $commodityCode;
        $this->locationId = $locationId;
        $this->remarkCode = $remarkCode;
        $this->minValue = $minValue;
        $this->maxValue = $maxValue;
        $this->recipientIds = $recipientIds;
    }
    

}