<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1\Request;
        
class LookupResourcesForSubjectRequest implements \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasConsistency, \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasPermissions
{
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\SubjectRef $subject */
    public \Bushelpowered\Api\Iam\Access\Common\V1\SubjectRef $subject;
    /** @var null|\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency $consistency */
    public ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency $consistency = null;
    /** @var string[] $permissions The permissions to check or lookup. Use the GetAllPermissions operation to see available options.*/
    public array $permissions;

    /**
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\SubjectRef  $subject 
     * @param  null|\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency  $consistency 
     * @param  string[]  $permissions The permissions to check or lookup. Use the GetAllPermissions operation to see available options.
     */
    public function __construct(\Bushelpowered\Api\Iam\Access\Common\V1\SubjectRef $subject, ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency $consistency, array $permissions)
    {
        $this->subject = $subject;
        $this->consistency = $consistency;
        $this->permissions = $permissions;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency 
     */
    public function getConsistency(): ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency
    {
        return $this->consistency;
    }
    /**
     * @return string[] The permissions to check or lookup. Use the GetAllPermissions operation to see available options.
     */
    public function getPermissions(): array
    {
        return $this->permissions;
    }
}