<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1\Response;
        
class PermissionResult 
{
    /** @var string $permission The permission is granted to all resources.*/
    public string $permission;
    /** @var bool $root The permission is granted to all resources.*/
    public bool $root;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\TenantRef[] $tenants The permission is granted on the specified tenants.*/
    public array $tenants;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\LocationRef[] $locations The permission is granted on the specified locations.*/
    public array $locations;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\AccountRef[] $accounts The permission is granted on the specified accounts.*/
    public array $accounts;

    /**
     * @param  string  $permission The permission is granted to all resources.
     * @param  bool  $root The permission is granted to all resources.
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\TenantRef[]  $tenants The permission is granted on the specified tenants.
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\LocationRef[]  $locations The permission is granted on the specified locations.
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\AccountRef[]  $accounts The permission is granted on the specified accounts.
     */
    public function __construct(string $permission, bool $root, array $tenants, array $locations, array $accounts)
    {
        $this->permission = $permission;
        $this->root = $root;
        $this->tenants = $tenants;
        $this->locations = $locations;
        $this->accounts = $accounts;
    }
    

}