<?php
namespace Bushelpowered\Api\Iam\Access\Manage\V1\Request;
        
class UpdateRoleRequest 
{
    /** @var string $id The id of the role to update*/
    public string $id;
    /** @var null|string $name The name of the role*/
    public ?string $name = null;
    /** @var null|string $description The description of the role*/
    public ?string $description = null;
    /** @var null|\Bushelpowered\Api\Iam\Access\Common\V1\Domo\RoleSubjectTargetType $targetSubjectType */
    public ?\Bushelpowered\Api\Iam\Access\Common\V1\Domo\RoleSubjectTargetType $targetSubjectType = null;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\Domo\ResourceScope[]|null $scopes */
    public ?array $scopes = null;

    /**
     * @param  string  $id The id of the role to update
     * @param  null|string  $name The name of the role
     * @param  null|string  $description The description of the role
     * @param  null|\Bushelpowered\Api\Iam\Access\Common\V1\Domo\RoleSubjectTargetType  $targetSubjectType 
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\Domo\ResourceScope[]|null  $scopes 
     */
    public function __construct(string $id, ?string $name, ?string $description, ?\Bushelpowered\Api\Iam\Access\Common\V1\Domo\RoleSubjectTargetType $targetSubjectType, ?array $scopes)
    {
        $this->id = $id;
        $this->name = $name;
        $this->description = $description;
        $this->targetSubjectType = $targetSubjectType;
        $this->scopes = $scopes;
    }
    

}