<?php
namespace Bushelpowered\Api\Platform\Branding\V1\Request;
        
class CreateBrandRequest 
{
    /** @var string $flavorId */
    public string $flavorId;
    /** @var string $colorPrimary The primary color*/
    public string $colorPrimary;
    /** @var string $colorSecondary */
    public string $colorSecondary;
    /** @var null|\Bushelpowered\Dev\Bidl\Builtins\Presence $launcherImage */
    public ?\Bushelpowered\Dev\Bidl\Builtins\Presence $launcherImage = null;
    /** @var null|\Bushelpowered\Dev\Bidl\Builtins\Presence $iosAppIconImage */
    public ?\Bushelpowered\Dev\Bidl\Builtins\Presence $iosAppIconImage = null;
    /** @var null|\Bushelpowered\Dev\Bidl\Builtins\Presence $logoIconImage */
    public ?\Bushelpowered\Dev\Bidl\Builtins\Presence $logoIconImage = null;
    /** @var null|\Bushelpowered\Dev\Bidl\Builtins\Presence $logoStackedImage */
    public ?\Bushelpowered\Dev\Bidl\Builtins\Presence $logoStackedImage = null;
    /** @var null|\Bushelpowered\Dev\Bidl\Builtins\Presence $iosSplashScreenImage */
    public ?\Bushelpowered\Dev\Bidl\Builtins\Presence $iosSplashScreenImage = null;
    /** @var bool $hideBushelBranding */
    public bool $hideBushelBranding;

    /**
     * @param  string  $flavorId 
     * @param  string  $colorPrimary The primary color
     * @param  string  $colorSecondary 
     * @param  null|\Bushelpowered\Dev\Bidl\Builtins\Presence  $launcherImage 
     * @param  null|\Bushelpowered\Dev\Bidl\Builtins\Presence  $iosAppIconImage 
     * @param  null|\Bushelpowered\Dev\Bidl\Builtins\Presence  $logoIconImage 
     * @param  null|\Bushelpowered\Dev\Bidl\Builtins\Presence  $logoStackedImage 
     * @param  null|\Bushelpowered\Dev\Bidl\Builtins\Presence  $iosSplashScreenImage 
     * @param  bool  $hideBushelBranding 
     */
    public function __construct(string $flavorId, string $colorPrimary, string $colorSecondary, ?\Bushelpowered\Dev\Bidl\Builtins\Presence $launcherImage, ?\Bushelpowered\Dev\Bidl\Builtins\Presence $iosAppIconImage, ?\Bushelpowered\Dev\Bidl\Builtins\Presence $logoIconImage, ?\Bushelpowered\Dev\Bidl\Builtins\Presence $logoStackedImage, ?\Bushelpowered\Dev\Bidl\Builtins\Presence $iosSplashScreenImage, bool $hideBushelBranding)
    {
        $this->flavorId = $flavorId;
        $this->colorPrimary = $colorPrimary;
        $this->colorSecondary = $colorSecondary;
        $this->launcherImage = $launcherImage;
        $this->iosAppIconImage = $iosAppIconImage;
        $this->logoIconImage = $logoIconImage;
        $this->logoStackedImage = $logoStackedImage;
        $this->iosSplashScreenImage = $iosSplashScreenImage;
        $this->hideBushelBranding = $hideBushelBranding;
    }
    

}