<?php
namespace Bushelpowered\Api\Platform\Location\V1\Request;
        
class GetAllLocationsRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var string[]|null $ids */
    public ?array $ids = null;
    /** @var string[]|null $tenantIds */
    public ?array $tenantIds = null;
    /** @var null|string $name Performs a fuzzy search across the internalName, publicName, and sourceName fields. This is an OR search, matching any of the fields that contain the exact string provided.*/
    public ?string $name = null;
    /** @var null|\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination $pagination */
    public ?\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination $pagination = null;

    /**
     * @param  string[]|null  $ids 
     * @param  string[]|null  $tenantIds 
     * @param  null|string  $name Performs a fuzzy search across the internalName, publicName, and sourceName fields. This is an OR search, matching any of the fields that contain the exact string provided.
     * @param  null|\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination  $pagination 
     */
    public function __construct(?array $ids, ?array $tenantIds, ?string $name, ?\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination $pagination)
    {
        $this->ids = $ids;
        $this->tenantIds = $tenantIds;
        $this->name = $name;
        $this->pagination = $pagination;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination 
     */
    public function getPagination(): ?\Bushelpowered\Api\Platform\Location\V1\Request\LocationPagination
    {
        return $this->pagination;
    }
}