<?php
namespace Bushelpowered\Api\Reporting\Tickets\V1\Response;
        
class TicketsConfigurationResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp
{
    /** @var string $id */
    public string $id;
    /** @var bool $enabled Whether or not reporting is enabled for the tenant*/
    public bool $enabled;
    /** @var null|string $title The name of the report to appear on the report, defaulted if not set*/
    public ?string $title = null;
    /** @var bool $truckNameEnabled Whether or not to include truck name on the report*/
    public bool $truckNameEnabled;
    /** @var bool $truckLicenseEnabled Whether or not to include truck license on the report*/
    public bool $truckLicenseEnabled;
    /** @var bool $truckDriverEnabled Whether or not to include truck driver on the report*/
    public bool $truckDriverEnabled;
    /** @var string $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  string  $id 
     * @param  bool  $enabled Whether or not reporting is enabled for the tenant
     * @param  null|string  $title The name of the report to appear on the report, defaulted if not set
     * @param  bool  $truckNameEnabled Whether or not to include truck name on the report
     * @param  bool  $truckLicenseEnabled Whether or not to include truck license on the report
     * @param  bool  $truckDriverEnabled Whether or not to include truck driver on the report
     * @param  string  $createdAt Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, bool $enabled, ?string $title, bool $truckNameEnabled, bool $truckLicenseEnabled, bool $truckDriverEnabled, string $createdAt, string $updatedAt)
    {
        $this->id = $id;
        $this->enabled = $enabled;
        $this->title = $title;
        $this->truckNameEnabled = $truckNameEnabled;
        $this->truckLicenseEnabled = $truckLicenseEnabled;
        $this->truckDriverEnabled = $truckDriverEnabled;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
    }
    
    /**
     * @return string Created date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
}