<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Model;
        
class PrivateBidCropStandard 
{
    /** @var string $id The id of the cash bid group*/
    public string $id;
    /** @var string $commodity The name of the commodity, e.g. 'Wheat'*/
    public string $commodity;
    /** @var string $name The name of the crop, e.g. 'Wheat Cash'*/
    public string $name;
    /** @var string $bidType The type of the crop, e.g. 'cash', or 'flat'*/
    public string $bidType;
    /** @var string $tickSize The number that represents the customer's desired precision of the bid price e.g. 0.0025 means it rounds to the nearest quarter cent.*/
    public string $tickSize;
    /** @var string $marketTickSize The number that represents the market default's precision of the bid price e.g. 0.0025 means it rounds to the nearest quarter cent.*/
    public string $marketTickSize;
    /** @var \Bushelpowered\Api\Trade\Futures\V1\Model\BidStandard[] $bids The list of bids for the crop*/
    public array $bids;

    /**
     * @param  string  $id The id of the cash bid group
     * @param  string  $commodity The name of the commodity, e.g. 'Wheat'
     * @param  string  $name The name of the crop, e.g. 'Wheat Cash'
     * @param  string  $bidType The type of the crop, e.g. 'cash', or 'flat'
     * @param  string  $tickSize The number that represents the customer's desired precision of the bid price e.g. 0.0025 means it rounds to the nearest quarter cent.
     * @param  string  $marketTickSize The number that represents the market default's precision of the bid price e.g. 0.0025 means it rounds to the nearest quarter cent.
     * @param  \Bushelpowered\Api\Trade\Futures\V1\Model\BidStandard[]  $bids The list of bids for the crop
     */
    public function __construct(string $id, string $commodity, string $name, string $bidType, string $tickSize, string $marketTickSize, array $bids)
    {
        $this->id = $id;
        $this->commodity = $commodity;
        $this->name = $name;
        $this->bidType = $bidType;
        $this->tickSize = $tickSize;
        $this->marketTickSize = $marketTickSize;
        $this->bids = $bids;
    }
    

}