<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Request;
        
class UpdateCompanyRequest 
{
    /** @var string $companyId The unique identifier for a specific Company.*/
    public string $companyId;
    /** @var string $slug The unique slug for the Company.*/
    public string $slug;
    /** @var int $cqgCategoryId The unique identifier for the CQG category.*/
    public int $cqgCategoryId;
    /** @var null|string $ingestEnabledAt The status indicating whether ingest is enabled or disabled. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $ingestEnabledAt = null;
    /** @var bool $displayConvertedBasis The status indicating whether or not the converted basis is displayed.*/
    public bool $displayConvertedBasis;
    /** @var string $bidRoundingStrategy The rounding strategy for the bids.*/
    public string $bidRoundingStrategy;
    /** @var int $cashBidDecimalFormat The number denoting how many decimal places to round the cash bid price.*/
    public int $cashBidDecimalFormat;

    /**
     * @param  string  $companyId The unique identifier for a specific Company.
     * @param  string  $slug The unique slug for the Company.
     * @param  int  $cqgCategoryId The unique identifier for the CQG category.
     * @param  null|string  $ingestEnabledAt The status indicating whether ingest is enabled or disabled. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  bool  $displayConvertedBasis The status indicating whether or not the converted basis is displayed.
     * @param  string  $bidRoundingStrategy The rounding strategy for the bids.
     * @param  int  $cashBidDecimalFormat The number denoting how many decimal places to round the cash bid price.
     */
    public function __construct(string $companyId, string $slug, int $cqgCategoryId, ?string $ingestEnabledAt, bool $displayConvertedBasis, string $bidRoundingStrategy, int $cashBidDecimalFormat)
    {
        $this->companyId = $companyId;
        $this->slug = $slug;
        $this->cqgCategoryId = $cqgCategoryId;
        $this->ingestEnabledAt = $ingestEnabledAt;
        $this->displayConvertedBasis = $displayConvertedBasis;
        $this->bidRoundingStrategy = $bidRoundingStrategy;
        $this->cashBidDecimalFormat = $cashBidDecimalFormat;
    }
    

}